- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# tower_inventory – create, update, or destroy Ansible Tower inventory

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Create, update, or destroy Ansible Tower inventories. See https://www.ansible.com/tower for an overview.

## Requirements

The below requirements are needed on the host that executes this module.

- ansible-tower-cli >= 3.0.2

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description - |  | The description to use for the inventory.
host_filter - added in 2.7 |  | The host_filter field. Only useful when `kind=smart`.
kind - added in 2.7 | Choices: ← smart | The kind field. Cannot be modified after created.
name - / required |  | The name to use for the inventory.
organization - / required |  | Organization the inventory belongs to.
state - | Choices: present ← absent | Desired state of the resource.
tower_config_file path |  | Path to the Tower config file.
tower_host string |  | URL to your Tower instance.
tower_password string |  | Password for your Tower instance.
tower_username string |  | Username for your Tower instance.
validate_certs boolean | Choices: no yes | Whether to allow insecure connections to Tower. If `no`, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates. aliases: tower_verify_ssl
variables - |  | Inventory variables. Use `@` to get from file.

## Notes

Note

- If no config_file is provided we will attempt to use the tower-cli library defaults to find your Tower host information.
- config_file should contain Tower configuration in the following format host=hostname username=username password=password

## Examples

    - name: Add tower inventory
      tower_inventory:
        name: "Foo Inventory"
        description: "Our Foo Cloud Servers"
        organization: "Bar Org"
        state: present
        tower_config_file: "~/tower_cli.cfg"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Wayne Witzel III (@wwitzel3)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.